GDB (xrefs)

Public Attributes | List of all members
range_bounds Struct Reference

`#include "gdbtypes.h"`

## Public Attributes
struct dynamic_prop | low
struct dynamic_prop | high
int | flag_upper_bound_is_count: 1
int | flag_bound_evaluated: 1

## Detailed Description

Definition at line 553 of file gdbtypes.h.

## Member Data Documentation

## ◆ flag_bound_evaluated

int range_bounds::flag_bound_evaluated

Definition at line 571 of file gdbtypes.h.

## ◆ flag_upper_bound_is_count

int range_bounds::flag_upper_bound_is_count

Definition at line 566 of file gdbtypes.h.

## ◆ high

struct dynamic_prop range_bounds::high

High bound of range.

Definition at line 561 of file gdbtypes.h.

Referenced by has_static_range().

## ◆ low

struct dynamic_prop range_bounds::low

Low bound of range.

Definition at line 557 of file gdbtypes.h.

Referenced by has_static_range().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbtypes.h